Package: groovy.yaml

## [Java] Class YamlRuntimeException

- groovy.yaml.YamlRuntimeException

-     public class YamlRuntimeException
      extends GroovyRuntimeException

  Represents runtime exception occurred when parsing or building YAML

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `YamlRuntimeException(String msg)`
    `YamlRuntimeException(Throwable cause)`
    `YamlRuntimeException(String msg, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public YamlRuntimeException(String msg)

    - #### public YamlRuntimeException(Throwable cause)

    - #### public YamlRuntimeException(String msg, Throwable cause)